![]() | BasePoint Class |
The BasePoint class provides base point related functionalities. Base points can be retrieved using
ProjectInfo class.

Namespace: Tekla.Structures.Model
Assembly: Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2023.0.1

The BasePoint type exposes the following members.

Name | Description | |
---|---|---|
![]() | BasePoint(String) |
Initializes a new instance of the BasePoint class.
|
![]() | BasePoint(Int32, Guid, String, String, String, String, Double, Double, Double, Double, Double, Double, Double, Double, Double, Boolean, Boolean) |
Initializes a new instance of the BasePoint class.
|

Name | Description | |
---|---|---|
![]() | AngleToNorth |
Gets or sets the angle to north in radians.
|
![]() | CoordinateSystem |
Gets or sets the coordinate system.
|
![]() | Description |
Gets or sets the description.
|
![]() | EastWest |
Gets or sets the east-west.
|
![]() | Elevation |
Gets or sets the elevation.
|
![]() | Guid |
Gets or sets the guid.
|
![]() | Id |
Gets or sets the id.
|
![]() | InitialGuid |
Gets or sets the initial guid. A metadata field to store for example some external
applications base point guid. Not used in itself in any functionality.
|
![]() | IsCurrentBasePoint |
Gets or sets the value indicating if this base point is the current base point.
|
![]() | IsLocked |
Gets or sets the value indicating if this base point is locked.
|
![]() | IsProjectBasePoint |
Gets or sets the value indicating if this base point is the project base point.
|
![]() | IsScopedCurrentBasePoint |
Gets or sets the value indicating whether this base point is the scoped current base point.
|
![]() | Latitude |
Gets or sets the latitude.
|
![]() | LocationInModelX |
Gets or sets the location in model x.
|
![]() | LocationInModelY |
Gets or sets the location in model y.
|
![]() | LocationInModelZ |
Gets or sets the location in model z.
|
![]() | Longitude |
Gets or sets the longitude.
|
![]() | Name |
Gets or sets the name.
|
![]() | NorthSouth |
Gets or sets the north-south.
|

Name | Description | |
---|---|---|
![]() | ConvertFromBasePoint(Point) |
Converts the given this base points point to local point.
|
![]() ![]() | ConvertFromBasePoint(BasePoint, Point) |
Converts the given base point point to local point.
|
![]() | ConvertToBasePoint(Point) |
Converts the given local point to this base point.
|
![]() ![]() | ConvertToBasePoint(BasePoint, Point) |
Converts the given local point to given base point.
|
![]() | Delete |
Deletes the base point from the model database.
|
![]() | GetCompoundPlaneAngleLatitude |
Gets the Latitude as a compound plane angle.
|
![]() | GetCompoundPlaneAngleLongitude |
Gets the Longitude as a compound plane angle.
|
![]() | GetCoordinateSystem |
Gets the coordinate system of the base point.
|
![]() | Insert |
Inserts the base point into the model database.
|
![]() | Modify |
Modifies the base point in the model database.
|
![]() | SetAsCurrent |
Sets this base point as current base point point until the token is disposed of.
Can be used for example when retrieving report values according to this base point.
|

The following example gets the project information and shows the value of the Name property
in a message dialog:
using Tekla.Structures.Model; public class Example { private void InsertBasePointExample() { var BasePoint = new BasePoint( 0, // The id. Use zero when creating new Guid.Empty, // The guid. Use Guid.Empty when creating new Guid.Empty, // The initial guid. A metadata field "Base point name", "Base point description", "Base point coordinate system", 1000.0, // North-South value 2000.0, // East-West value 3000.0, // Elevation value 4000.0, // Latitude value 5000.0, // Longitude value 6000.0, // Base points X location in model 7000.0, // Base points Y location in model 8000.0, // Base points Z location in model (45 * Math.PI / 180), // Angle to north value in radians false, // Boolean indicating if this base point is project base point false); // Boolean indicating if this base point is current base point BasePoint.Insert(); } private void GetBasePointsExample() { var BasePoints = ProjectInfo.GetBasePoints(); } private void GetBasePointByGuidExample() { Guid BasePointGuid = new Guid("TheGuidOfTheBasePoint"); var BasePoints = ProjectInfo.GetBasePointByGuid(BasePointGuid); } private void GetBasePointByNameExample() { Guid BasePointGuid = new Guid("TheNameOfTheBasePoint"); var BasePoints = ProjectInfo.GetBasePointByGuid(BasePointGuid); } }
